﻿<%-- 
This file is part of Ingo Karstein's Web based PowerShell Console project

**Do not remove this comment**

Please see the project homepage at CodePlex:
  http://webpsconsole.codeplex.com/

Please see my blog:
  http://ikarstein.wordpress.com

Licence: GPLv2
    Ingo Karstein's SharePoint 2010 Custom Ribbon Demo
    Copyright (C) 2011  Ingo Karstein, ikarstein@hotmail.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
--%>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="ik.PowerShell.WebPSConsole._default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <script src="jQuery/jquery-1.6.2.min.js" type="text/javascript"></script>
    <script src="jQuery/jquery-ui-1.8.15.custom.min.js" type="text/javascript"></script>
    <script src="jQuery/jquery.json-2.2.min.js" type="text/javascript"></script>
    <script src="WebPSConsole.js" type="text/javascript"></script>
    <link href="css/start/jquery-ui-1.8.15.custom.css" rel="stylesheet" type="text/css" />
    <link href="css/WebPSConsole.css" rel="stylesheet" type="text/css" />
</head>
<body style="overflow: hidden">
    <form id="form1" runat="server">
    <div title="Stating" id="about" style="display: none">
        <div style="text-align:center">
        <h2>
            Ingo Karstein's<br />
            Web based PowerShell Console</h2>
        <h3>
            (starting)</h3>
            </div>
    </div>
    <div title="<table cellspacing='0' cellpadding='0' border='0' width='100%'><tr><td colspan='1'>Ingo Karstein's Web based PowerShell Console</td><td rowspan='2' align='right' style='vertical-align:middle;padding-right:10px;'>v0.1.0.0</td></tr><tr><td><span style='font-size:0.6em'><a href='http://webpsconsole.codeplex.com' target='_blank'>http://webpsconsole.codeplex.com</a>&nbsp;|&nbsp;<a href='http://ikarstein.wordpress.com' target='_blank'>http://ikarstein.wordpress.com</a></span></td></tr></table>" id="dlg" style="display: none">

        <div id="outerframe">
            <div>
                <table id="infoTable">
                    <tr>
                        <td width="20px">
                            <img id="loader" style="border: 0px; display: none" src="ajax-loader.gif" />
                            <img id="loaderstop" style="border: 0px; display: inline" src="ajax-loader-stop.gif" />
                        </td>
                        <td>
                            &nbsp;|&nbsp;
                        </td>
                        <td>
                            Server: <span style="font-style: italic" id="serverName">&nbsp;</span>
                        </td>
                        <td>
                            &nbsp;|&nbsp;
                        </td>
                        <td>
                            User: <span style="font-style: italic" id="userName">&nbsp;</span>
                        </td>
                        <td>
                            &nbsp;|&nbsp;
                        </td>
                        <td>
                            Session Timeout: <span style="font-style: italic" id="sessionTimeout">&nbsp;</span>
                        </td>
                        <td>
                            &nbsp;|&nbsp;
                        </td>
                        <td >
                            <a href="#" id="rtfLink">
                                Download console as RTF</a>
                        </td>
                        <td>
                            &nbsp;|&nbsp;
                        </td>
                        <td >
                            <a href="#" id="bufLink">
                                Show current buffer</a>
                        </td>
                    </tr>
                </table>
            </div>
            <div id="console">
            </div>
            <div id="inputField">
                Command input:
                <table class="sectTab" cellpadding="0" cellspacing="0" border="0" width="100%;">
                    <tr>
                        <td class="fields">
                            <textarea style="width: 100%;" rows="5" id="commandText">#$warningpreference="inquire";write-warning "test"
#get-content
#$host.UI.ReadLineAsSecureString()
#clear-host
#get-credential
#read-host
#$host.Ui.RawUI.ReadKey()</textarea>
                        </td>
                        <td class="buttons">
                            <button id="btnSend" style="width: 90px; margin-bottom: 5px;" title="Send">
                                Send</button><br />
                            <button id="btnCancel" style="width: 90px;" title="Cancel">
                                Cancel</button>
                        </td>
                    </tr>
                </table>
            </div>
            <div id="readkey" style="display: none">
                Press a key...
                <table class="sectTab" cellpadding="0" cellspacing="0" border="0" width="100%">
                    <tr>
                        <td class="fields">
                            <br />
                            <textarea style="font-size: 3em; overflow: hidden; border: 1px solid #7f7f7f; margin-left: 10px;
                                margin-right: auto; height: 50px; width: 50px;" cols="10" rows="1" id="readkeyField"></textarea>
                            <br />
                            <br />
                        </td>
                        <td class="buttons">
                            <button id="btnCancel2" style="width: 90px; margin-left: 10px;" title="Cancel">
                                Cancel</button>
                        </td>
                    </tr>
                </table>
                <input type="hidden" value="" id="readkeyCorrId" />
            </div>
            <div id="choice" style="display: none">
                <span id="choiceTitle" style="font-weight: bold">Please choose:</span> - <span id="choiceMessage">
                </span>
                <table class="sectTab" cellpadding="0" cellspacing="0" border="0" width="100%;">
                    <tr>
                        <td class="fields">
                            <div id="choiceField">
                                &nbsp;</div>
                        </td>
                        <td class="buttons">
                            <button id="btnSend3" style="width: 90px; margin-bottom: 5px;" title="Send">
                                Send</button><br />
                            <button id="btnCancel3" style="width: 90px;" title="Cancel">
                                Cancel</button>
                        </td>
                    </tr>
                </table>
                <input type="hidden" value="" id="choiceCorrId" />
            </div>
            <div id="credentials" style="display: none">
                <span id="credTitle" style="font-weight: bold">Enter your credentials:</span> -
                <span id="credMessage"></span>
                <table class="sectTab" cellpadding="0" cellspacing="0" border="0" width="100%">
                    <tr>
                        <td class="fields">
                            <span style="font-style: italic">User name<span style="font-style: italic" id="credTarget"></span>:</span><br />
                            <input type="text" value="" id="credUsername" style="font-family: Courier New; font-size: 1em;
                                width: 100%" /><br />
                            <span style="font-style: italic">Password:</span><br />
                            <input type="password" value="" id="credPwd" style="font-family: Courier New; font-size: 1em;
                                width: 100%" /><br />
                        </td>
                        <td class="buttons">
                            <button id="btnSend5" style="width: 90px; margin-bottom: 5px;" title="Send">
                                Send</button><br />
                            <button id="btnCancel5" style="width: 90px;" title="Cancel">
                                Cancel</button>
                        </td>
                    </tr>
                </table>
                <input type="hidden" value="" id="credCorrId" />
            </div>
            <div id="lineinput" style="display: none">
                <span id="lineinputTitle" style="font-weight: bold">Enter data:</span> - Description<span
                    id="lineinputMessage"></span>
                <table cellpadding="0" cellspacing="0" border="0" width="100%">
                    <tr>
                        <td class="fields">
                            <span id="lineinputName" style="font-style: italic">Field Name:</span><br />
                            <input type="text" value="" id="lineinputField" style="font-family: Courier New;
                                font-size: 1em; width: 100%" />
                        </td>
                        <td class="buttons">
                            <button id="btnSend4" style="width: 90px; margin-bottom: 5px;" title="Send">
                                Send</button><br />
                            <button id="btnCancel4" style="width: 90px;" title="Cancel">
                                Cancel</button>
                        </td>
                    </tr>
                </table>
                <input type="hidden" value="" id="lineinputCorrId" />
            </div>
            <div id="secstr" style="display: none">
                <span style="font-weight: bold">Enter secure string</span>
                <table cellpadding="0" cellspacing="0" border="0" width="100%">
                    <tr>
                        <td class="fields">
                            <input type="password" value="" id="secStrInput" style="font-family: Courier New;
                                font-size: 1em; width: 100%" />
                        </td>
                        <td class="buttons">
                            <button id="btnSend6" style="width: 90px; margin-bottom: 5px;" title="Send">
                                Send</button><br />
                            <button id="btnCancel6" style="width: 90px;" title="Cancel">
                                Cancel</button>
                        </td>
                    </tr>
                </table>
                <input type="hidden" value="" id="secstrCorrId" />
            </div>
            <div id="traceFrame">
                <a href="#" onclick="javascript:switchTrace();return false;">Trace log:</a>
                <div id="trace" style="display: none">
                </div>
            </div>
        </div>
    </div>
    <div id="dlgServerError" style="display: none">
        An server error occured!
        
        Press "OK" to reload the site.</div>
    <div id="dlgCommunicationError" style="display: none">
        An communication error occured!
        
        Press "OK" to reload the site.</div>
    <div id="dlgIsRunning" title="PowerShell is running" style="display: none">
        A running PowerShell Pipeline was detected. Maybe an user interaction takes place.
        In this case PowerShell will not come back and you should kill the thread.<br />
        <br />
        Do you want to kill the running Pipeline?
    </div>
    <div id="dlgNewSession" title="Start new session?" style="display: none">
        Your session was terminated while closing the PowerShell Web Console. You could
        create a new server site session by clicking "OK" or reloading this site... Or just
        close the browser...
    </div>
    <div id="dlgSessionTimeout" title="Session timeout" style="display: none">
        Your session timed out. All session data on the server is gone. All pipelines closed, PowerShell shut down.
    </div>

    </form>
</body>
</html>
